Summary:	Puzzle game similar to Oxyd
Name:		enigma
Version:	1.21
Release:	%mkrel 6
Group:		Games/Puzzles
License:	GPLv2+
URL:		http://www.nongnu.org/enigma/
Source0:	http://downloads.sf.net/%{name}-game/%{name}-%{version}.tar.gz
Patch0:		enigma-1.21-mga-desktop.patch
Patch1:		enigma-1.21-mga-system-zipios.patch
Patch2:		enigma-1.21-upstream-locale-setting.patch

BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libenet)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	zipios++-devel
Requires:	%{name}-data >= %{version}
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-dejavu
Obsoletes:	enigma-freeoxyd

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%package data
Summary:	Data files for the Enigma game
BuildArch:	noarch
Conflicts:	enigma < 1.21-4

%description data
This package contains arch-independent data files for the Enigma game.

%prep
%setup -q
%autopatch -p1

# Make sure we don't build against those
rm -rf lib-src/{enet,zipios++}

%build
%configure2_5x --with-system-enet
%make

%install
%makeinstall_std

# Use system fonts instead of bundling our own
rm -f %{buildroot}%{_datadir}/%{name}/fonts/{DejaVuSansCondensed.ttf,vera_sans.ttf}
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSansCondensed.ttf %{buildroot}%{_datadir}/%{name}/fonts/DejaVuSansCondensed.ttf
ln -s %{_xfontdir}/TTF/Vera.ttf %{buildroot}%{_datadir}/%{name}/fonts/vera_sans.ttf

# We don't use %%find_lang since the UI lets the user change the locale

%files
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png
%{_docdir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_datadir}/%{name}/


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 1.21-6.mga6
+ Revision: 960023
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 cjw <cjw> 1.21-5.mga6
+ Revision: 871528
- rebuild with gcc 5

* Sat May 16 2015 akien <akien> 1.21-4.mga5
+ Revision: 822175
- Properly conflict the old enigma version in the new enigma-data

* Mon Mar 16 2015 akien <akien> 1.21-3.mga5
+ Revision: 818672
- Fix the language changing within the UI

* Thu Mar 12 2015 akien <akien> 1.21-2.mga5
+ Revision: 818472
- Fix typo in Requires

* Wed Mar 11 2015 akien <akien> 1.21-1.mga5
+ Revision: 818407
- Unbundle fonts
- Install all translations since the locale can be changed in the UI
- Unbundle zipios++
- Version 1.21
- Build against system libenet
- Split data in its own subpackage

* Wed Oct 15 2014 umeabot <umeabot> 0:1.20-5.mga5
+ Revision: 740707
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.20-4.mga5
+ Revision: 679010
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:1.20-3.mga4
+ Revision: 526059
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0:1.20-2.mga4
+ Revision: 435827
- rebuild for new libpng

* Mon May 27 2013 zezinho <zezinho> 0:1.20-1.mga4
+ Revision: 428694
- new version

* Fri Jan 11 2013 umeabot <umeabot> 0:1.01-6.mga3
+ Revision: 349668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0:1.01-5.mga3
+ Revision: 344309
- Fix build with GCC 4.7

* Mon Sep 19 2011 fwang <fwang> 0:1.01-4.mga2
+ Revision: 145304
- bump rel
- fix build with libpng15

  + stormi <stormi>
    - add epoch for migration from mandriva

* Mon Jul 11 2011 stormi <stormi> 1.01-2.mga2
+ Revision: 122212
- remove old obsolete patch, fixes desktop file
- remove buildroot definition

* Sun Jun 12 2011 zezinho <zezinho> 1.01-1.mga2
+ Revision: 105425
- imported package enigma


* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.com> 1.01-3mdv2009.1
+ Revision: 316842
- lua-devel not liblua-devel
- rebuild for newer libxerces-c
- drop old icons
- drop Mandriva menu category
- add literal.patch: fix a few "format is not a string literal"s
- add gcc43.patch: fix various gcc 4.3 build issues
- new license policy
- clean spec

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdv2008.1
+ Revision: 170817
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 11 2007 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.0
+ Revision: 51313
- remove old menu
- remove unused devel files
- no need to fix man page location anymore
- buildrequire xerces-c-devel
- use configure2_5x and makeinstall_std macros
- drop gcc4.1 patch (not needed anymore)
- 1.01


* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 0.92-2mdv2007.0
- fix buildrequires
- handle icon cache
- xdg menu
- fix build with gcc 4.1
- use mkrel

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 0.92-1mdk
- New release 0.92

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 0.91-1mdk
- new version

* Wed Apr 13 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- add translations
- drop patch 0
- new version

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.81-5mdk
- fix menu

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.81-4mdk
- add source URL
- fix icon
- fix applications menu entry

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 0.81-3mdk 
- rebuild for new gcc ( patch 0 )

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-2mdk
- Rename binary as enigma-freeoxyd to not conflict with enigma package

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes

